Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.shared
Class ModuleType

    java.lang.Object
      javax.enterprise.deploy.shared.ModuleType

public class ModuleType
extends Object

An enumeration of j2ee module types.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Field Summary
`static ModuleType` | `CAR` The module type for an CAR
`static ModuleType` | `EAR` The module type for an EAR
`static ModuleType` | `EJB` The module type for an EJB
`static ModuleType` | `RAR` The module type for an RAR
`static ModuleType` | `WAR` The module type for an WAR

Constructor Summary
`protected` | `ModuleType(int value)` Create a new ModuleType

Method Summary
`protected ModuleType[]` | `getEnumValueTable()` Get the enumerated values for module type
`String` | `getModuleExtension()` Get the file extension for this module
`static ModuleType` | `getModuleType(int type)` Get the module type for an integer
`protected int` | `getOffset()` Return the offset of the first element
`protected String[]` | `getStringTable()` Get the string table for class module type.
`int` | `getValue()` Get the value
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EAR

    public static final ModuleType EAR

  The module type for an EAR

### EJB

    public static final ModuleType EJB

  The module type for an EJB

### CAR

    public static final ModuleType CAR

  The module type for an CAR

### RAR

    public static final ModuleType RAR

  The module type for an RAR

### WAR

    public static final ModuleType WAR

  The module type for an WAR

Constructor Detail

### ModuleType

    protected ModuleType(int value)

  Create a new ModuleType

Parameters:
  `value` - the value

Method Detail

### getValue

    public int getValue()

  Get the value

  Returns:
    the value

### getStringTable

    protected String[] getStringTable()

  Get the string table for class module type. This is: {"ear", "ejb", "car", "rar", "war"}

  Returns:
    the string table

### getEnumValueTable

    protected ModuleType[] getEnumValueTable()

  Get the enumerated values for module type

  Returns:
    the string table

### getModuleExtension

    public String getModuleExtension()

  Get the file extension for this module

  Returns:
    the file extension

### getModuleType

    public static ModuleType getModuleType(int type)

  Get the module type for an integer

  Parameters:
    `type` - the type
  Returns:
    the module type

### toString

    public String toString()

  Returns:
    The stringTable entry for this ModuleType value

### getOffset

    protected int getOffset()

  Return the offset of the first element

  Returns:
    the offset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.